QGIS Application - Bug report #21007
in SVG marker style any edits returns the styling back to green stroke with red fill
2019-01-15 02:03 PM - Adam Fine

Status: Open

Priority: Low

Assignee:

Category: Symbology

Affected QGIS version:3.4.3 Regression?: No
Operating System: OSX Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 28826
Description

When using SVG markers, it's possible to alter the SVG in QGIS to have custom colours. It defaults to green stroke, red fill when you
create a new SVG style.

The bug is that QGIS will revert back to green stroke/red fill whenever you visit the layer styling panel at any time, or go to layer
properties->symbology. Making any other changes to the layer style will require you also to reset the colours you want.

History

#1 - 2019-01-15 07:22 PM - Nyall Dawson
- Status changed from Open to Feedback

Can you share your svg?

#2 - 2019-01-15 08:59 PM - Adam Fine

Nyall Dawson wrote:

Can you share your svg?

Hi Nyall, it's as follows. | think | see what's going on; green and red are defined as defaults along with the line weight, and QGIS is returning to those

defaults each time | enter the style SVG style panel.

<!-- Generator: Adobe lllustrator 22.1.0, SVG Export Plug-In . SVG Version: 6.00 Build 0) -->
<svg version="1.1" id="Layer_1" xmlIns="http://www.w3.0rg/2000/svg" xmins:xlink="http://www.w3.0rg/1999/xlink" x="0px" y="0px"
viewBox="0 0 580 439.3" style="enable-background:new 0 0 580 439.3;" xml:space="preserve">
<g>
<rect fill="param(fill) #F00" stroke="param(outline) #0F0" stroke-width="param(outline-width) 0.1" width="580" height="110.2"/>
<polygon fill="param(fill) #F00" stroke="param(outline) #0F0" stroke-width="param(outline-width) 0.1" points="356.3,220.1 223.7,219.9 289.3,110.2
"I>
</g>

</svg>

#3 - 2019-01-17 11:42 AM - Giovanni Manghi
- Status changed from Feedback to Open
Screen Shot 2019-01-15 at 8.59.29 AM.png 35.1 KB 2019-01-15 Adam Fine
